Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.elasticmapreduce.model
Class JobFlowInstancesDetail

    java.lang.Object
      com.amazonaws.services.elasticmapreduce.model.JobFlowInstancesDetail

    public class JobFlowInstancesDetail

extends Object

Specify the type of Amazon EC2 instances to run the job flow on.

Constructor Summary
`JobFlowInstancesDetail()`

Method Summary
`String` | `getEc2KeyName()` The name of an Amazon EC2 key pair that can be used to ssh to the master node of job flow.
`String` | `getHadoopVersion()` Specifies the Hadoop version for the job flow.
`Integer` | `getInstanceCount()` The number of Amazon EC2 instances in the cluster.
`Boolean` | `getKeepJobFlowAliveWhenNoSteps()` Specifies whether or not the job flow should terminate after completing all steps.
`String` | `getMasterInstanceId()` The Amazon EC2 instance identifier of the master node.
`String` | `getMasterInstanceType()` The Amazon EC2 master node instance type.
`String` | `getMasterPublicDnsName()` The DNS name of the master node.
`PlacementType` | `getPlacement()` Specifies the Amazon EC2 Availability Zone for the job flow.
`String` | `getSlaveInstanceType()` The Amazon EC2 slave node instance type.
`Boolean` | `isKeepJobFlowAliveWhenNoSteps()` Specifies whether or not the job flow should terminate after completing all steps.
`void` | `setEc2KeyName(String ec2KeyName)` The name of an Amazon EC2 key pair that can be used to ssh to the master node of job flow.
`void` | `setHadoopVersion(String hadoopVersion)` Specifies the Hadoop version for the job flow.
`void` | `setInstanceCount(Integer instanceCount)` The number of Amazon EC2 instances in the cluster.
`void` | `setKeepJobFlowAliveWhenNoSteps(Boolean keepJobFlowAliveWhenNoSteps)` Specifies whether or not the job flow should terminate after completing all steps.
`void` | `setMasterInstanceId(String masterInstanceId)` The Amazon EC2 instance identifier of the master node.
`void` | `setMasterInstanceType(String masterInstanceType)` The Amazon EC2 master node instance type.
`void` | `setMasterPublicDnsName(String masterPublicDnsName)` The DNS name of the master node.
`void` | `setPlacement(PlacementType placement)` Specifies the Amazon EC2 Availability Zone for the job flow.
`void` | `setSlaveInstanceType(String slaveInstanceType)` The Amazon EC2 slave node instance type.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`JobFlowInstancesDetail` | `withEc2KeyName(String ec2KeyName)` The name of an Amazon EC2 key pair that can be used to ssh to the master node of job flow.
`JobFlowInstancesDetail` | `withHadoopVersion(String hadoopVersion)` Specifies the Hadoop version for the job flow.
`JobFlowInstancesDetail` | `withInstanceCount(Integer instanceCount)` The number of Amazon EC2 instances in the cluster.
`JobFlowInstancesDetail` | `withKeepJobFlowAliveWhenNoSteps(Boolean keepJobFlowAliveWhenNoSteps)` Specifies whether or not the job flow should terminate after completing all steps.
`JobFlowInstancesDetail` | `withMasterInstanceId(String masterInstanceId)` The Amazon EC2 instance identifier of the master node.
`JobFlowInstancesDetail` | `withMasterInstanceType(String masterInstanceType)` The Amazon EC2 master node instance type.
`JobFlowInstancesDetail` | `withMasterPublicDnsName(String masterPublicDnsName)` The DNS name of the master node.
`JobFlowInstancesDetail` | `withPlacement(PlacementType placement)` Specifies the Amazon EC2 Availability Zone for the job flow.
`JobFlowInstancesDetail` | `withSlaveInstanceType(String slaveInstanceType)` The Amazon EC2 slave node instance type.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JobFlowInstancesDetail

    public JobFlowInstancesDetail()

Method Detail

### getMasterInstanceType

    public String getMasterInstanceType()

  The Amazon EC2 master node instance type.

  Returns:
    The Amazon EC2 master node instance type.

### setMasterInstanceType

    public void setMasterInstanceType(String masterInstanceType)

  The Amazon EC2 master node instance type.

  Parameters:
    `masterInstanceType` - The Amazon EC2 master node instance type.

### withMasterInstanceType

    public JobFlowInstancesDetail withMasterInstanceType(String masterInstanceType)

  The Amazon EC2 master node instance type.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `masterInstanceType` - The Amazon EC2 master node instance type.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getMasterPublicDnsName

    public String getMasterPublicDnsName()

  The DNS name of the master node.

  Returns:
    The DNS name of the master node.

### setMasterPublicDnsName

    public void setMasterPublicDnsName(String masterPublicDnsName)

  The DNS name of the master node.

  Parameters:
    `masterPublicDnsName` - The DNS name of the master node.

### withMasterPublicDnsName

    public JobFlowInstancesDetail withMasterPublicDnsName(String masterPublicDnsName)

  The DNS name of the master node.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `masterPublicDnsName` - The DNS name of the master node.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getMasterInstanceId

    public String getMasterInstanceId()

  The Amazon EC2 instance identifier of the master node.

  Returns:
    The Amazon EC2 instance identifier of the master node.

### setMasterInstanceId

    public void setMasterInstanceId(String masterInstanceId)

  The Amazon EC2 instance identifier of the master node.

  Parameters:
    `masterInstanceId` - The Amazon EC2 instance identifier of the master node.

### withMasterInstanceId

    public JobFlowInstancesDetail withMasterInstanceId(String masterInstanceId)

  The Amazon EC2 instance identifier of the master node.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `masterInstanceId` - The Amazon EC2 instance identifier of the master node.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getSlaveInstanceType

    public String getSlaveInstanceType()

  The Amazon EC2 slave node instance type.

  Returns:
    The Amazon EC2 slave node instance type.

### setSlaveInstanceType

    public void setSlaveInstanceType(String slaveInstanceType)

  The Amazon EC2 slave node instance type.

  Parameters:
    `slaveInstanceType` - The Amazon EC2 slave node instance type.

### withSlaveInstanceType

    public JobFlowInstancesDetail withSlaveInstanceType(String slaveInstanceType)

  The Amazon EC2 slave node instance type.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `slaveInstanceType` - The Amazon EC2 slave node instance type.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getInstanceCount

    public Integer getInstanceCount()

  The number of Amazon EC2 instances in the cluster. If the value is 1, the same instance serves as both the master and slave node. If the value is greater than 1, one instance is the master node and all others are slave nodes.

  Returns:
    The number of Amazon EC2 instances in the cluster. If the value is 1, the same instance serves as both the master and slave node. If the value is greater than 1, one instance is the master node and all others are slave nodes.

### setInstanceCount

    public void setInstanceCount(Integer instanceCount)

  The number of Amazon EC2 instances in the cluster. If the value is 1, the same instance serves as both the master and slave node. If the value is greater than 1, one instance is the master node and all others are slave nodes.

  Parameters:
    `instanceCount` - The number of Amazon EC2 instances in the cluster. If the value is 1, the same instance serves as both the master and slave node. If the value is greater than 1, one instance is the master node and all others are slave nodes.

### withInstanceCount

    public JobFlowInstancesDetail withInstanceCount(Integer instanceCount)

  The number of Amazon EC2 instances in the cluster. If the value is 1, the same instance serves as both the master and slave node. If the value is greater than 1, one instance is the master node and all others are slave nodes.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `instanceCount` - The number of Amazon EC2 instances in the cluster. If the value is 1, the same instance serves as both the master and slave node. If the value is greater than 1, one instance is the master node and all others are slave nodes.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getEc2KeyName

    public String getEc2KeyName()

  The name of an Amazon EC2 key pair that can be used to ssh to the master node of job flow.

  Returns:
    The name of an Amazon EC2 key pair that can be used to ssh to the master node of job flow.

### setEc2KeyName

    public void setEc2KeyName(String ec2KeyName)

  The name of an Amazon EC2 key pair that can be used to ssh to the master node of job flow.

  Parameters:
    `ec2KeyName` - The name of an Amazon EC2 key pair that can be used to ssh to the master node of job flow.

### withEc2KeyName

    public JobFlowInstancesDetail withEc2KeyName(String ec2KeyName)

  The name of an Amazon EC2 key pair that can be used to ssh to the master node of job flow.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `ec2KeyName` - The name of an Amazon EC2 key pair that can be used to ssh to the master node of job flow.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getPlacement

    public PlacementType getPlacement()

  Specifies the Amazon EC2 Availability Zone for the job flow.

  Returns:
    Specifies the Amazon EC2 Availability Zone for the job flow.

### setPlacement

    public void setPlacement(PlacementType placement)

  Specifies the Amazon EC2 Availability Zone for the job flow.

  Parameters:
    `placement` - Specifies the Amazon EC2 Availability Zone for the job flow.

### withPlacement

    public JobFlowInstancesDetail withPlacement(PlacementType placement)

  Specifies the Amazon EC2 Availability Zone for the job flow.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `placement` - Specifies the Amazon EC2 Availability Zone for the job flow.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### isKeepJobFlowAliveWhenNoSteps

    public Boolean isKeepJobFlowAliveWhenNoSteps()

  Specifies whether or not the job flow should terminate after completing all steps.

  Returns:
    Specifies whether or not the job flow should terminate after completing all steps.

### setKeepJobFlowAliveWhenNoSteps

    public void setKeepJobFlowAliveWhenNoSteps(Boolean keepJobFlowAliveWhenNoSteps)

  Specifies whether or not the job flow should terminate after completing all steps.

  Parameters:
    `keepJobFlowAliveWhenNoSteps` - Specifies whether or not the job flow should terminate after completing all steps.

### withKeepJobFlowAliveWhenNoSteps

    public JobFlowInstancesDetail withKeepJobFlowAliveWhenNoSteps(Boolean keepJobFlowAliveWhenNoSteps)

  Specifies whether or not the job flow should terminate after completing all steps.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `keepJobFlowAliveWhenNoSteps` - Specifies whether or not the job flow should terminate after completing all steps.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getKeepJobFlowAliveWhenNoSteps

    public Boolean getKeepJobFlowAliveWhenNoSteps()

  Specifies whether or not the job flow should terminate after completing all steps.

  Returns:
    Specifies whether or not the job flow should terminate after completing all steps.

### getHadoopVersion

    public String getHadoopVersion()

  Specifies the Hadoop version for the job flow.

  Returns:
    Specifies the Hadoop version for the job flow.

### setHadoopVersion

    public void setHadoopVersion(String hadoopVersion)

  Specifies the Hadoop version for the job flow.

  Parameters:
    `hadoopVersion` - Specifies the Hadoop version for the job flow.

### withHadoopVersion

    public JobFlowInstancesDetail withHadoopVersion(String hadoopVersion)

  Specifies the Hadoop version for the job flow.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `hadoopVersion` - Specifies the Hadoop version for the job flow.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.